RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc0012 Class Reference

`#include <rtl2832-tuner_fc0012.h>`

Inheritance diagram for RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc0012:
[legend]

## Public Member Functions

| fc0012 (demod *p)
virtual const char * | name () const
int | initialise (tuner::PPARAMS params=NULL)
int | set_frequency (double freq)
int | set_bandwidth (double bw)
int | set_gain (double gain)
Public Member Functions inherited from RTL2832_NAMESPACE::tuner_skeleton
| tuner_skeleton (demod *p)
virtual | ~tuner_skeleton ()
virtual int | set_gain_mode (int mode)
virtual int | set_i2c_repeater (bool on=true, const char *function_name=NULL, int line_number=-1, const char *line=NULL)
virtual int | i2c_read (uint8_t i2c_addr, uint8_t *buffer, int len)
virtual int | i2c_write (uint8_t i2c_addr, uint8_t *buffer, int len)
virtual int | i2c_write_reg (uint8_t i2c_addr, uint8_t reg, uint8_t val)
virtual int | i2c_read_reg (uint8_t i2c_addr, uint8_t reg, uint8_t &data)
virtual double | frequency () const
virtual double | bandwidth () const
virtual double | gain () const
virtual int | gain_mode () const
virtual int | set_auto_gain_mode (bool on=true)
virtual range_t | gain_range () const
virtual values_t | gain_values () const
virtual range_t | frequency_range () const
virtual range_t | bandwidth_range () const
virtual values_t | bandwidth_values () const
virtual num_name_map_t | gain_modes () const
virtual bool | calc_appropriate_gain_mode (int &mode)
virtual bool | auto_gain_mode () const
const tuner::PARAMS & | params () const
demod * | parent () const
Public Member Functions inherited from RTL2832_NAMESPACE::tuner
virtual | ~tuner ()

## Additional Inherited Members

Public Types inherited from RTL2832_NAMESPACE::tuner
enum | gain_mode { NOT_SUPPORTED = -1 , DEFAULT = 0 }
typedef tuner *(* | CreateTunerFn) (demod *p)
typedef int(* | ProbeTunerFn) (demod *p)
typedef struct RTL2832_NAMESPACE::tuner::params | PARAMS
typedef struct RTL2832_NAMESPACE::tuner::params * | PPARAMS
Protected Attributes inherited from RTL2832_NAMESPACE::tuner_skeleton
demod * | m_demod
tuner::PARAMS | m_params
bool | m_auto_gain_mode
int | m_gain_mode
double | m_freq
double | m_gain
double | m_bandwidth
range_t | m_gain_range
values_t | m_gain_values
range_t | m_frequency_range
range_t | m_bandwidth_range
values_t | m_bandwidth_values
num_name_map_t | m_gain_modes

## Constructor & Destructor Documentation

## fc0012()

RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc0012::fc0012 | ( | demod * | p | ) |

## Member Function Documentation

## initialise()

int RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc0012::initialise | ( | tuner::PPARAMS | params = `NULL` | ) |

virtual

Reimplemented from RTL2832_NAMESPACE::tuner_skeleton.

## name()

virtual const char * RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc0012::name | ( |  | ) | const

inline virtual

Reimplemented from RTL2832_NAMESPACE::tuner_skeleton.

## set_bandwidth()

int RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc0012::set_bandwidth | ( | double | bw | ) |

virtual

Reimplemented from RTL2832_NAMESPACE::tuner_skeleton.

## set_frequency()

int RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc0012::set_frequency | ( | double | freq | ) |

virtual

Reimplemented from RTL2832_NAMESPACE::tuner_skeleton.

## set_gain()

int RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc0012::set_gain | ( | double | gain | ) |

virtual

Reimplemented from RTL2832_NAMESPACE::tuner_skeleton.

The documentation for this class was generated from the following file:

- rtl2832-tuner_fc0012.h